import { Component, OnInit, ViewChild } from '@angular/core';
import { STColumn, STComponent } from '@delon/abc/st';
import { SFComponent, SFDateWidgetSchema, SFSchema, SFSelectWidgetSchema, SFUISchema } from '@delon/form';
import { ModalHelper, _HttpClient } from '@delon/theme';
import { NzModalService } from 'ng-zorro-antd/modal';
import { map } from 'rxjs/operators';
import { SupplyManagementService } from '../../services/order-management.service';


@Component({
  selector: 'app-supply-management-car-manage',
  templateUrl: './car-manage.component.html',
  styleUrls: ['./car-manage.component.less']
})
export class OrderManagementCarManageComponent implements OnInit {
  url = `/user?_allow_anonymous=true`;
  ui: SFUISchema = {};
  uiView: SFUISchema = {};
  schema: SFSchema = {};
  schemaView: SFSchema = {};
  auditMany = false;
  auditstatus = false;
  isVisibleView = false;
  isVisibleRE = false;
  _$expand = false;
  infoData1: any;
  @ViewChild('st') private readonly st!: STComponent;
  @ViewChild('sf', { static: false }) sf!: SFComponent;
  @ViewChild('sfView', { static: false }) sfView!: SFComponent;
  columns: STColumn[] = [];
  demoValue: any;
  datass: any = [
    {
    one: '1',
    two: '1',
    three: '1',
    id: 1
   },
    {
    one: '2',
    two: '2',
    three: '2',
    id: 2
   },
];
  tabs = [ {
    name: '全部',
    type: 5,
    count: 0,
  },
  {
    name: '待审核',
    type: 5,
    count: 0,
  },
  {
    name: '已审核',
    type: 5,
    count: 0,
  },
  {
    name: '驳回',
    type: 5,
    count: 0,
  }
  ];
  constructor(public service: SupplyManagementService, private modal: NzModalService) { }

  /**
 * 查询参数
 */
  get reqParams() {
    return {
      ...this.sf?.value,
    };
  }
  get selectedRows() {
    return this.st?.list.filter((item) => item.checked) || [];
  }
  ngOnInit(): void {
    this.initSF();
    this.initST();
    this.initSFReject();
  }



  /**
 * 初始化查询表单
 */
  initSF() {
    this.schema = {
      properties: {
        no: {
          type: 'string',
          title: '公司名称',
        },
        no2: {
          type: 'string',
          title: '姓名'
        },
        no3: {
          type: 'string',
          title: '手机号'
        },
      },
    };
    this.ui = { '*': { spanLabelFixed: 110, grid: { span: 8, gutter: 4 } } };
  }
  initSFReject() {
    this.schemaView = {
      properties: {
        roleDescription: {
          title: '驳回原因',
          type: 'string',
          maxLength: 50,
          ui: {
            placeholder: '请输入驳回原因，最多不超过50字',
            widget: 'textarea',
            autosize: { minRows: 2, maxRows: 6 }
          },
        },
      },
    };
    this.uiView = { '*': { spanLabelFixed: 110, grid: { span: 12 } } };
  }

  /**
   * 初始化数据列表
   */
   initST() {
    this.columns = [
      {
        title: '公司名称',
        width: '100px',
        className: 'text-center',
        render: 'goodsId'
      },
      {
        title: '姓名',
        width: '100px',
        className: 'text-center',
      },
      { title: '身份证号', index: 'externalSn', width: '120px', className: 'text-center' },
      { title: '手机号', index: 'linkUrl', width: '120px', className: 'text-center' },
      {
        title: '身份证',
        className: 'text-center',
        width: '120px',
      },
      {
        title: '驾驶证',
        className: 'text-center',
        width: '120px',
      }, 
      {
        title: '从业资格证',
        className: 'text-center',
        width: '120px',
      },
      {
        title: '平台认证状态',
        className: 'text-center',
        width: '120px',
      },
      {
        title: '银行卡',
        className: 'text-center',
        width: '120px',
      },
      {
        title: '审核状态',
        className: 'text-center',
        width: '120px',
      },
      {
        title: '驳回原因',
        className: 'text-center',
        width: '120px',
        render: 'feiong'
      },
      {
        title: '添加时间',
        className: 'text-center',
        width: '120px',
      },
      {
        title: '添加人',
        className: 'text-center',
        width: '120px',
      },
      {
        title: '操作',
        fixed: 'right',
        width: '200px',
        className: 'text-left',
        buttons: [
          {
            text: '审核',
            click: (_record) => this.viewAudit(_record),
          },
          {
            text: '查看详情',
            click: (_record) => this.viewDetail(_record),
          },
        ],
      },
    ];
  }
  /**
   * 查询字段个数
   */
  get queryFieldCount(): number {
    return Object.keys(this.schema?.properties || {}).length;
  }
  /**
  * 伸缩查询条件
  */
  expandToggle(): void {
    this._$expand = !this._$expand;
    this.sf?.setValue('/_$expand', this._$expand);
  }
  tabChange(item: any) {
    console.log(item)
  }
  /**
   * 重置表单
   */
  resetSF(): void {
    this.sf.reset();
    this._$expand = false;
  }



  // 获取录单员 
  getCatalogueMember() {
    const params = {
    };
    return this.service.request(this.service.$api_get_catalogue_member, params, 'GET').pipe(
      map((res) => {
        if (res) {
          console.log(res)
        }
      }),
    );
  }

  selectChange(e: number) {
    console.log(e);
  }
  /**
   * 导入货源
   */
  importGoodsSource() {

  }
  audit(item: any) {
    console.log(item)
  }

 /*
  * 审核关闭弹窗
  */
  handleCancel(item: string) {
    if(item === '0') {
      this.isVisibleView = false
    } else{
      this.isVisibleRE = false
    }
  }
    /**
  * 审核通过按钮
  */
  handleOK() {
    
  }
   /**
  *查看评价
  */
  viewDetail(item: any) {
    console.log(item)
    this.auditstatus = true;
    this.isVisibleView = true
  }
  viewAudit(item: any) {
    console.log(item)
    this.auditstatus = false;
    this.isVisibleView = true
  }
  /**
  *驳回
  */
  Reject() {
    this.isVisibleRE = true;
  }
}
